/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_GRUPCLIE                                                 */
/* Tabela : GRUPCLIE                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_GRUPCLIE' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_GRUPCLIE
GO

CREATE TRIGGER DTULTATU_GRUPCLIE
ON GRUPCLIE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'GRUPCLIE', null, 'CDGRUPCLIE='+ CDGRUPCLIE+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE GRUPCLIE
      SET DTULTATUGRCL = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(GRUPCLIE.CDGRUPCLIE,0) = ISNULL(INSERTED.CDGRUPCLIE,0)) AND
            (ISNULL(GRUPCLIE.NMGRUPCLIE,0) = ISNULL(INSERTED.NMGRUPCLIE,0));
   END;
END;
GO